Bug 993951 - Incorrect version of jackson-core-asl dependency
Incorrect version of jackson-core-asl dependency
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ER3
: 6.0.0
Assigned To: Julian Coleman
Matej Melko
: TestBlocker
Depends On:
  Show dependency treegraph
Reported: 2013-08-06 09:25 EDT by Jiri Pechanec
Modified: 2015-11-02 03:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-08-06 09:25:08 EDT
switchyard-transform depends on jackson-mapper-asl in version 1.9.9-redhat-2 depends on jackson-core-asl in version 1.9.9-redhat-1 - this is not present
Comment 2 Julian Coleman 2013-09-13 09:26:30 EDT
See also 1005793.

Worked around by adding:


to the IP tag.
Comment 3 Jiri Pechanec 2013-09-24 03:15:14 EDT
Verified in ER3
Comment 4 Julian Coleman 2013-09-24 11:18:47 EDT
It should be possible to run a build and have maven resolve the correct dependencies, by using a POM similar to the following (which imports the IP
BOM via the parent and dependencyManagement sections), and the incorrect artifacts can be removed from our repository.

<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">


    <name>MVN test</name>

        <!-- IP/EAP versions (parent) -->

            <!-- IP/EAP versions (BOM) -->

Comment 5 Jiri Pechanec 2013-10-08 03:46:39 EDT
Verified in ER4 04-Oct-2013 04:44

Note You need to log in before you can comment on or make changes to this bug.